Bug 112166 - auth field in Advanced section of Kickstart too small
Summary: auth field in Advanced section of Kickstart too small
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On: 114358
Blocks: 113026
TreeView+ depends on / blocked
 
Reported: 2003-12-15 16:44 UTC by Lans Carstensen
Modified: 2007-08-06 18:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 18:16:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lans Carstensen 2003-12-15 16:44:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030709

Description of problem:
The auth line we need to support in kickstarts is:

auth --useshadow  --enablemd5  --enableldap --enableldapauth
--ldapserver ldap.anim.dreamworks.com --ldapbasedn
dc=anim,dc=dreamworks,dc=com --enablekrb5 --krb5realm
ANIM.DREAMWORKS.COM --krb5kdc kerberos.anim.dreamworks.com
--krb5adminserver kerberos.anim.dreamworks.com --enablecache

The field length in the Advanced dialog in the kickstart profile
"Options" page of the RHN web GUI cuts it off half-way through the
--krb5adminserver line.

Version-Release number of selected component (if applicable):
rhn-base-3.0.0-4

How reproducible:
Always

Steps to Reproduce:
1. Go to Kickstart profiles area.
2. Create a new one
3. Click on Options
4. Click on Advanced.
5.  Try and copy/paste the arguments listed in the description above
into the auth field.
    

Additional info:

Comment 1 Robin Norwood 2004-03-01 15:09:17 UTC
Fix in CVS.  Upped the maximum to 1024 characters

Comment 2 Josef Komenda 2004-03-09 21:07:43 UTC
Looks good. 


Note You need to log in before you can comment on or make changes to this bug.